# Variables that will not be saved in the hdf5 files if they are in the ROOT TTree

def remove_branches_data():

    return [#'evtNumber',
            'mcChannelNumber',
            'runNumber',
            'rw_em_barrel_Lr1',
            'rw_em_barrel_Lr2',
            'rw_em_endcap_Lr1',
            'rw_em_endcap_Lr2',
            # 'averageInteractionsPerCrossing',
            # 'actualInteractionsPerCrossing',
            # 'correctedScaledAverageMu',
            # 'correctedScaledActualMu',
            'MCEventWeight',
            'crossSectionFactor',
            'eventWeight',
            'event_lumiBlock',
            'event_bcid',
            # 'NvtxReco',
            # 'nPhotons',
            # 'nElectrons',
            'nFwdElectrons',
            # 'nMuons',
            'met_met',
            'met_phi',
            'muo_spectrometerFieldIntegral',
            'muo_segmentDeltaEta',
            'muo_CaloMuonIDTag',
            # 'muo_DFCommonGoodMuon',
            ]
def GNN_variables():
    return [
            f'p_cell_{i}' for i in ['x','y', 'z', 'energy', 'time', 'phi', 'eta']
            ]
def keep_branchesMC():
            return ['em_barrel_Lr0', 'em_endcap_Lr0',
                    'em_barrel_Lr1', 'em_endcap_Lr1',
                    'em_barrel_Lr2', 'em_endcap_Lr2',
                    'em_barrel_Lr3', 'em_endcap_Lr3',
                    'gain_em_barrel_Lr0', 'gain_em_endcap_Lr0',
                    'gain_em_barrel_Lr1', 'gain_em_endcap_Lr1',
                    'gain_em_barrel_Lr2', 'gain_em_endcap_Lr2',
                    'gain_em_barrel_Lr3', 'gain_em_endcap_Lr3',
                    'time_em_barrel_Lr0', 'time_em_endcap_Lr0',
                    'time_em_barrel_Lr1', 'time_em_endcap_Lr1',
                    'time_em_barrel_Lr2', 'time_em_endcap_Lr2',
                    'time_em_barrel_Lr3', 'time_em_endcap_Lr3','p_eAccCluster','p_cellIndexCluster',
                    'p_f0Cluster',
                    'p_R12',
                    'p_pt_track',
                    'p_nTracks',
                    'p_eta',
                    'p_deltaPhiRescaled2',
                    'p_etaModCalo',
                    'p_deltaEta2',
                    'NvtxReco',
                    'averageInteractionsPerCrossing',
                    'p_poscs2',
                    'p_dPhiTH3',
                    'p_fTG3',
                    'p_tracks_z0', 
                    'tile_gap_Lr1','p_truth_e','tracks_charge', 'tracks_d0', 'tracks_dR',
                    'tracks_eta', 'tracks_phi', 'tracks_pixhits',
                    'tracks_pt', 'tracks_scthits', 'tracks_sigmad0',
                    'tracks_theta', 'tracks_trthits', 'tracks_vertex',
                    'tracks_z0','p_truth', 'p_truthOrigin', 'p_truthType',
                    'p_truth_eta', 'p_truth_matched',
                    'p_truth_parent_pdgId', 'p_truth_pdgId',
                    'p_truth_phi', 'p_truth_pt',
                    'p_e', 'eventNumber',
                    'p_ElectronLHLoose','p_ElectronLHMedium', 'p_ElectronLHTight',
                    'p_PhotonLHLoose', 'p_PhotonLHMedium', 'p_PhotonLHTight',
                    'p_MuonLHLoose', 'p_MuonLHTight',
                    'p_phi', 'p_et_calo',
                    'p_topoetcone20','p_topoetcone30', 'p_topoetcone40',
                    'p_ptvarcone20','p_ptvarcone30','p_ptvarcone40', 'p_charge',
                    ]


def remove_branchesData():

    return ['evtNumber',
            'mcChannelNumber',
            'runNumber',
            # 'averageInteractionsPerCrossing',
            # 'actualInteractionsPerCrossing',
            # 'correctedScaledAverageMu',
            # 'correctedScaledActualMu',
            'MCEventWeight',
            'crossSectionFactor',
            'eventWeight',
            'event_lumiBlock',
            'event_bcid',
            # 'NvtxReco',
            'nPhotons',
            'nElectrons',
            'nFwdElectrons',
            # 'nMuons',
            'met_met',
            'met_phi',
            'muo_truthPdgId',
            'muo_truthType',
            'muo_truthOrigin',
            'muo_truth_eta',
            'muo_truth_phi',
            'muo_truth_m',
            'muo_truth_px',
            'muo_truth_py',
            'muo_truth_pz',
            'muo_truth_E',
            # 'muo_etcone20',
            # 'muo_etcone30',
            # 'muo_etcone40',
            # 'muo_ptcone20',
            # 'muo_ptcone30',
            # 'muo_ptcone40',
            # 'muo_ptvarcone20',
            # 'muo_ptvarcone30',
            # 'muo_ptvarcone40',
            # 'muo_pt',
            # 'muo_eta',
            # 'muo_phi',
            # 'muo_charge',
            # 'muo_innerSmallHits',
            # 'muo_innerLargeHits',
            # 'muo_middleSmallHits',
            # 'muo_middleLargeHits',
            # 'muo_outerSmallHits',
            # 'muo_outerLargeHits',
            # 'muo_extendedSmallHits',
            # 'muo_extendedLargeHits',
            # 'muo_cscEtaHits',
            # 'muo_cscUnspoiledEtaHits',
            # 'muo_innerSmallHoles',
            # 'muo_innerLargeHoles',
            # 'muo_middleSmallHoles',
            # 'muo_middleLargeHoles',
            # 'muo_outerSmallHoles',
            # 'muo_outerLargeHoles',
            # 'muo_extendedSmallHoles',
            # 'muo_extendedLargeHoles',
            # 'muo_author',
            # 'muo_allAuthors',
            # 'muo_muonType',
            # 'muo_numberOfPrecisionLayers',
            # 'muo_numberOfPrecisionHoleLayers',
            # 'muo_quality',
            # 'muo_energyLossType',
            'muo_spectrometerFieldIntegral',
            # 'muo_scatteringCurvatureSignificance',
            # 'muo_scatteringNeighbourSignificance',
            # 'muo_momentumBalanceSignificance',
            'muo_segmentDeltaEta',
            # 'muo_CaloLRLikelihood',
            # 'muo_EnergyLoss',
            'muo_CaloMuonIDTag',
            'muo_DFCommonGoodMuon',
            # 'muo_DFCommonMuonsPreselection',
            # 'muo_LHLoose',
            # 'muo_LHMedium',
            # 'muo_LHTight',
            # 'muo_trigger',
            # 'muo_priTrack_d0',
            # 'muo_priTrack_z0',
            # 'muo_priTrack_d0Sig',
            # 'muo_priTrack_z0Sig',
            # 'muo_priTrack_theta',
            # 'muo_priTrack_qOverP',
            # 'muo_priTrack_vx',
            # 'muo_priTrack_vy',
            # 'muo_priTrack_vz',
            # 'muo_priTrack_phi',
            # 'muo_priTrack_chiSquared',
            # 'muo_priTrack_numberDoF',
            # 'muo_priTrack_radiusOfFirstHit',
            # 'muo_priTrack_trackFitter',
            # 'muo_priTrack_particleHypothesis',
            # 'muo_priTrack_numberOfUsedHitsdEdx',
            # 'muo_priTrack_numberOfContribPixelLayers',
            # 'muo_priTrack_numberOfInnermostPixelLayerHits',
            # 'muo_priTrack_expectInnermostPixelLayerHit',
            # 'muo_priTrack_numberOfNextToInnermostPixelLayerHits',
            # 'muo_priTrack_expectNextToInnermostPixelLayerHit',
            # 'muo_priTrack_numberOfPixelHits',
            # 'muo_priTrack_numberOfGangedPixels',
            # 'muo_priTrack_numberOfGangedFlaggedFakes',
            # 'muo_priTrack_numberOfPixelSpoiltHits',
            # 'muo_priTrack_numberOfDBMHits',
            # 'muo_priTrack_numberOfSCTHits',
            # 'muo_priTrack_numberOfTRTHits',
            # 'muo_priTrack_numberOfOutliersOnTrack',
            # 'muo_priTrack_standardDeviationOfChi2OS',
            # 'muo_priTrack_pixeldEdx',
            # 'muo_IDTrack_d0',
            # 'muo_IDTrack_z0',
            # 'muo_IDTrack_d0Sig',
            # 'muo_IDTrack_z0Sig',
            # 'muo_IDTrack_theta',
            # 'muo_IDTrack_qOverP',
            # 'muo_IDTrack_vx',
            # 'muo_IDTrack_vy',
            # 'muo_IDTrack_vz',
            # 'muo_IDTrack_phi',
            # 'muo_IDTrack_chiSquared',
            # 'muo_IDTrack_numberDoF',
            # 'muo_IDTrack_radiusOfFirstHit',
            # 'muo_IDTrack_trackFitter',
            # 'muo_IDTrack_particleHypothesis',
            # 'muo_IDTrack_numberOfUsedHitsdEdx',
            # 'muo_ET_Core',
            # 'muo_ET_EMCore',
            # 'muo_ET_HECCore',
            # 'muo_ET_TileCore',
            # 'muo_FSR_CandidateEnergy',
            # 'muo_InnerDetectorPt',
            # 'muo_MuonSpectrometerPt',
            # 'muo_combinedTrackOutBoundsPrecisionHits',
            # 'muo_coreMuonEnergyCorrection',
            # 'muo_deltaphi_0',
            # 'muo_deltaphi_1',
            # 'muo_deltatheta_0',
            # 'muo_deltatheta_1',
            # 'muo_etconecoreConeEnergyCorrection',
            # 'muo_extendedClosePrecisionHits',
            # 'muo_extendedOutBoundsPrecisionHits',
            # 'muo_innerClosePrecisionHits',
            # 'muo_innerOutBoundsPrecisionHits',
            # 'muo_isEndcapGoodLayers',
            # 'muo_isSmallGoodSectors',
            # 'muo_middleClosePrecisionHits',
            # 'muo_middleOutBoundsPrecisionHits',
            # 'muo_numEnergyLossPerTrack',
            # 'muo_numberOfGoodPrecisionLayers',
            # 'muo_outerClosePrecisionHits',
            # 'muo_outerOutBoundsPrecisionHits',
            # 'muo_sigmadeltaphi_0',
            # 'muo_sigmadeltaphi_1',
            # 'muo_sigmadeltatheta_0',
            # 'muo_sigmadeltatheta_1',
            # 'muo_etconeCorrBitset',
            # 'muo_neflowisol20',
            # 'muo_neflowisol30',
            # 'muo_neflowisol40',
            # 'muo_neflowisolCorrBitset',
            # 'muo_neflowisolcoreConeEnergyCorrection',
            # 'muo_ptconeCorrBitset',
            # 'muo_ptconecoreTrackPtrCorrection',
            # 'muo_topoetconeCorrBitset',
            # 'muo_topoetconecoreConeEnergyCorrection',
            # 'muo_CT_EL_Type',
            # 'muo_CT_ET_Core',
            # 'muo_CT_ET_FSRCandidateEnergy',
            # 'muo_CT_ET_LRLikelihood',
            # 'muo_d0_staco',
            # 'muo_phi0_staco',
            # 'muo_qOverPErr_staco',
            # 'muo_qOverP_staco',
            # 'muo_theta_staco',
            # 'muo_z0_staco'
            ]



def remove_branchesHelle():
    return ['evtNumber',
            'mcChannelNumber',
            'runNumber',
            'averageInteractionsPerCrossing',
            'actualInteractionsPerCrossing',
            # 'correctedScaledAverageMu',
            # 'correctedScaledActualMu',
            'MCEventWeight',
            'crossSectionFactor',
            'eventWeight',
            'event_lumiBlock',
            'event_bcid',
            # 'NvtxReco',
            # 'nPhotons',
            # 'nElectrons',
            # 'nFwdElectrons',
            # 'nMuons',
            'met_met',
            'met_phi',
            # 'ele_truthPdgId_egam',
            'ele_truth_eta_egam',
            'ele_truth_phi_egam',
            'ele_truth_m_egam',
            'ele_truth_px_egam',
            'ele_truth_py_egam',
            'ele_truth_pz_egam',
            'ele_truth_E_egam',
            # 'ele_truthPdgId_atlas',
            'ele_truth_eta_atlas',
            'ele_truth_phi_atlas',
            'ele_truth_m_atlas',
            'ele_truth_px_atlas',
            'ele_truth_py_atlas',
            'ele_truth_pz_atlas',
            'ele_truth_E_atlas',
            # 'ele_egamTruthParticle',
            # 'ele_truthType',
            # 'ele_truthOrigin',
            # 'ele_trigger',
            # 'ele_LHLoose',
            # 'ele_LHMedium',
            # 'ele_LHTight',
            # 'ele_Rhad',
            # 'ele_Reta',
            # 'ele_Rhad1',
            # 'ele_deltaEta1',
            # 'ele_Eratio',
            # 'ele_Rphi',
            # 'ele_eProbHT', #TRTPID
            # 'ele_weta2',
            # 'ele_dPOverP',
            # 'ele_f3',
            # 'ele_d0',
            # 'ele_z0',
            # 'ele_deltaPhiRescaled2',
            # 'ele_f1',
            # 'ele_eta',
            'ele_wtots1',
            'ele_EptRatio',
            'ele_numberOfPixelHits',
            'ele_numberOfSCTHits',
            'ele_numberOfInnermostPixelHits',
            'ele_E7x11_Lr3',
            'ele_nTracks',
            'ele_core57cellsEnergyCorrection',
            # 'ele_d0Sig',
            # 'ele_z0Sig',
            # 'ele_ECIDSResult',
            'ele_author',
            'ele_expectInnermostPixelLayerHit',
            'ele_expectNextToInnermostPixelLayerHit',
            'ele_chiSquared',
            'ele_radiusOfFirstHit',
            'ele_numberOfTRTHits',
            'ele_pixeldEdx',
            # 'ele_e',
            # 'ele_et',
            # 'ele_pt_track',
            # 'ele_phi',
            # 'ele_m',
            # 'ele_charge',
            'ele_GradientIso',
            # 'ele_topoetcone20',
            # 'ele_topoetcone20ptCorrection',
            # 'ele_topoetcone40',
            # 'ele_ptvarcone20',
            # 'ele_ptvarcone30_TightTTVA_pt500',
            # 'ele_ptvarcone20_TightTTVA_pt1000',
            # 'ele_ptvarcone30_TightTTVA_pt1000',
            # 'ele_ptvarcone30_TightTTVALooseCone_pt500',
            # 'ele_ptvarcone20_TightTTVALooseCone_pt1000',
            # 'ele_ptvarcone30_TightTTVALooseCone_pt1000',
            # 'ele_ptvarcone40_TightTTVALooseCone_pt1000',
            # 'ele_ptcone20_TightTTVALooseCone_pt500',
            # 'ele_ptcone20_TightTTVALooseCone_pt1000',
            'ele_recoSF',
            'ele_idSF',
            'ele_isoSF',
            'ele_combSF',
            'ele_pdf_score',
            'ele_pdfconv_score',
            # 'fwd_truthPdgId',
            # 'fwd_truthType',
            # 'fwd_truthOrigin',
            # 'fwd_truthParticle',
            'fwd_truth_eta',
            'fwd_truth_phi',
            'fwd_truth_E',
            'fwd_TruthPointerIdx',
            # 'fwd_LHLoose',
            # 'fwd_LHMedium',
            # 'fwd_LHTight',
            'fwd_LGBM_pid',
            'fwd_LGBM_energy',
            'fwd_LGBM_et',
        	'fwd_LGBM_iso',
            # 'fwd_eta',
            # 'fwd_phi',
            'fwd_pt',
            # 'fwd_et',
            # 'fwd_topoetcone20',
            # 'fwd_topoetcone30',
            # 'fwd_topoetcone40',
            # 'fwd_topoetconecoreConeEnergyCorrection',
            'fwd_recoSF',
            'fwd_idSF',
            'fwd_combSF',
        	# 'fwd_secondLambdaCluster',
        	# 'fwd_lateralCluster',
        	# 'fwd_longitudinalCluster',
        	# 'fwd_fracMaxCluster',
        	# 'fwd_secondRCluster',
        	# 'fwd_centerLambdaCluster',
            'pho_truthPdgId_egam',
            'pho_truth_eta_egam',
            'pho_truth_phi_egam',
            'pho_truth_m_egam',
            'pho_truth_px_egam',
            'pho_truth_py_egam',
            'pho_truth_pz_egam',
            'pho_truth_E_egam',
            'pho_truthPdgId_atlas',
            'pho_truth_eta_atlas',
            'pho_truth_phi_atlas',
            'pho_truth_m_atlas',
            'pho_truth_px_atlas',
            'pho_truth_py_atlas',
            'pho_truth_pz_atlas',
            'pho_truth_E_atlas',
            'pho_egamTruthParticle',
            'pho_truthType',
            'pho_truthOrigin',
            'pho_isPhotonEMLoose',
            'pho_isPhotonEMTight',
            'pho_pdf_score_data',
            'pho_pdfconv_score_data',
            'pho_pdfbin_score_data',
            'pho_pdf_logitscore_data',
            'pho_pdfconv_logitscore_data',
            'pho_pdfbin_logitscore_data',
            'pho_pdf_score_mc',
            'pho_pdfconv_score_mc',
            'pho_pdfbin_score_mc',
            'pho_pdf_logitscore_mc',
            'pho_pdfconv_logitscore_mc',
            'pho_pdfbin_logitscore_mc',
            'pho_e',
            'pho_eta',
            'pho_phi',
            'pho_et',
            'pho_m',
            'pho_Rhad1',
            'pho_Rhad',
            'pho_weta2',
            'pho_Rphi',
            'pho_Reta',
            'pho_Eratio',
            'pho_f1',
            'pho_wtots1',
            'pho_DeltaE',
            'pho_weta1',
            'pho_fracs1',
            'pho_nTrackPart',
            'pho_ConversionType',
            'pho_ConversionRadius',
            'pho_VertexConvEtOverPt',
            'pho_VertexConvPtRatio',
            'pho_maxEcell_time',
            'pho_maxEcell_energy',
            'pho_core57cellsEnergyCorrection',
            'pho_r33over37allcalo',
            'pho_GradientIso',
            'pho_topoetcone20',
            'pho_topoetcone40',
            'pho_ptvarcone20',
            'pho_LGBM_iso',
            'pho_LGBM_logitiso',
            'pho_recoSF',
            'pho_idSF',
            'pho_isoSF',
            'pho_combSF']

def remove_branches_keepPho():
    return ['evtNumber',
            'mcChannelNumber',
            'runNumber',
            # 'averageInteractionsPerCrossing',
            # 'actualInteractionsPerCrossing',
            # 'correctedScaledAverageMu',
            # 'correctedScaledActualMu',
            'MCEventWeight',
            'crossSectionFactor',
            'eventWeight',
            'event_lumiBlock',
            'event_bcid',
            # 'NvtxReco',
            # 'nPhotons',
            # 'nElectrons',
            # 'nFwdElectrons',
            # 'nMuons',
            'met_met',
            'met_phi',
            # 'ele_truthPdgId_egam',
            'ele_truth_eta_egam',
            'ele_truth_phi_egam',
            'ele_truth_m_egam',
            'ele_truth_px_egam',
            'ele_truth_py_egam',
            'ele_truth_pz_egam',
            'ele_truth_E_egam',
            # 'ele_truthPdgId_atlas',
            'ele_truth_eta_atlas',
            'ele_truth_phi_atlas',
            'ele_truth_m_atlas',
            'ele_truth_px_atlas',
            'ele_truth_py_atlas',
            'ele_truth_pz_atlas',
            'ele_truth_E_atlas',
            # 'ele_egamTruthParticle',
            # 'ele_truthType',
            # 'ele_truthOrigin',
            # 'ele_trigger',
            # 'ele_LHLoose',
            # 'ele_LHMedium',
            # 'ele_LHTight',
            # 'ele_Rhad',
            # 'ele_Reta',
            # 'ele_Rhad1',
            # 'ele_deltaEta1',
            # 'ele_Eratio',
            # 'ele_Rphi',
            # 'ele_eProbHT', #TRTPID
            # 'ele_weta2',
            # 'ele_dPOverP',
            # 'ele_f3',
            # 'ele_d0',
            # 'ele_z0',
            # 'ele_deltaPhiRescaled2',
            # 'ele_f1',
            # 'ele_eta',
            'ele_wtots1',
            'ele_EptRatio',
            'ele_numberOfPixelHits',
            'ele_numberOfSCTHits',
            'ele_numberOfInnermostPixelHits',
            'ele_E7x11_Lr3',
            'ele_nTracks',
            'ele_core57cellsEnergyCorrection',
            # 'ele_d0Sig',
            # 'ele_z0Sig',
            # 'ele_ECIDSResult',
            'ele_author',
            'ele_expectInnermostPixelLayerHit',
            'ele_expectNextToInnermostPixelLayerHit',
            'ele_chiSquared',
            'ele_radiusOfFirstHit',
            'ele_numberOfTRTHits',
            'ele_pixeldEdx',
            # 'ele_e',
            # 'ele_et',
            # 'ele_pt_track',
            # 'ele_phi',
            # 'ele_m',
            # 'ele_charge',
            'ele_GradientIso',
            # 'ele_topoetcone20',
            # 'ele_topoetcone20ptCorrection',
            # 'ele_topoetcone40',
            # 'ele_ptvarcone20',
            # 'ele_ptvarcone30_TightTTVA_pt500',
            # 'ele_ptvarcone20_TightTTVA_pt1000',
            # 'ele_ptvarcone30_TightTTVA_pt1000',
            # 'ele_ptvarcone30_TightTTVALooseCone_pt500',
            # 'ele_ptvarcone20_TightTTVALooseCone_pt1000',
            # 'ele_ptvarcone30_TightTTVALooseCone_pt1000',
            # 'ele_ptvarcone40_TightTTVALooseCone_pt1000',
            # 'ele_ptcone20_TightTTVALooseCone_pt500',
            # 'ele_ptcone20_TightTTVALooseCone_pt1000',
            'ele_recoSF',
            'ele_idSF',
            'ele_isoSF',
            'ele_combSF',
            'ele_pdf_score',
            'ele_pdfconv_score',
            # 'fwd_truthPdgId',
            # 'fwd_truthType',
            # 'fwd_truthOrigin',
            # 'fwd_truthParticle',
            'fwd_truth_eta',
            'fwd_truth_phi',
            'fwd_truth_E',
            'fwd_TruthPointerIdx',
            # 'fwd_LHLoose',
            # 'fwd_LHMedium',
            # 'fwd_LHTight',
            'fwd_LGBM_pid',
            'fwd_LGBM_energy',
            'fwd_LGBM_et',
        	'fwd_LGBM_iso',
            # 'fwd_eta',
            # 'fwd_phi',
            'fwd_pt',
            # 'fwd_et',
            # 'fwd_topoetcone20',
            # 'fwd_topoetcone30',
            # 'fwd_topoetcone40',
            # 'fwd_topoetconecoreConeEnergyCorrection',
            'fwd_recoSF',
            'fwd_idSF',
            'fwd_combSF',
        	# 'fwd_secondLambdaCluster',
        	# 'fwd_lateralCluster',
        	# 'fwd_longitudinalCluster',
        	# 'fwd_fracMaxCluster',
        	# 'fwd_secondRCluster',
        	# 'fwd_centerLambdaCluster',
            # 'pho_truthPdgId_egam',
            'pho_truth_eta_egam',
            'pho_truth_phi_egam',
            'pho_truth_m_egam',
            'pho_truth_px_egam',
            'pho_truth_py_egam',
            'pho_truth_pz_egam',
            'pho_truth_E_egam',
            # 'pho_truthPdgId_atlas',
            'pho_truth_eta_atlas',
            'pho_truth_phi_atlas',
            'pho_truth_m_atlas',
            'pho_truth_px_atlas',
            'pho_truth_py_atlas',
            'pho_truth_pz_atlas',
            'pho_truth_E_atlas',
            # 'pho_egamTruthParticle',
            # 'pho_truthType',
            # 'pho_truthOrigin',
            # 'pho_isPhotonEMLoose',
            # 'pho_isPhotonEMTight',
            'pho_pdf_score_data',
            'pho_pdfconv_score_data',
            'pho_pdfbin_score_data',
            'pho_pdf_logitscore_data',
            'pho_pdfconv_logitscore_data',
            'pho_pdfbin_logitscore_data',
            'pho_pdf_score_mc',
            'pho_pdfconv_score_mc',
            'pho_pdfbin_score_mc',
            'pho_pdf_logitscore_mc',
            'pho_pdfconv_logitscore_mc',
            'pho_pdfbin_logitscore_mc',
            # 'pho_e',
            # 'pho_eta',
            # 'pho_phi',
            # 'pho_et',
            # 'pho_m',
            # 'pho_Rhad1',
            # 'pho_Rhad',
            # 'pho_weta2',
            # 'pho_Rphi',
            # 'pho_Reta',
            # 'pho_Eratio',
            # 'pho_f1',
            # 'pho_wtots1',
            # 'pho_DeltaE',
            # 'pho_weta1',
            # 'pho_fracs1',
            'pho_nTrackPart',
            # 'pho_ConversionType',
            # 'pho_ConversionRadius',
            # 'pho_VertexConvEtOverPt',
            # 'pho_VertexConvPtRatio',
            'pho_maxEcell_time',
            'pho_maxEcell_energy',
            'pho_core57cellsEnergyCorrection',
            'pho_r33over37allcalo',
            'pho_GradientIso',
            # 'pho_topoetcone20',
            # 'pho_topoetcone30',
            # 'pho_topoetcone40',
            # 'pho_ptvarcone20',
            # 'pho_ptvarcone30',
            # 'pho_ptvarcone40',
            'pho_LGBM_iso',
            'pho_LGBM_logitiso',
            'pho_recoSF',
            'pho_idSF',
            'pho_isoSF',
            'pho_combSF']


# def remove_branches():
#     return ['MCEventWeight',
#             # 'NvtxReco',
#             # 'averageInteractionsPerCrossing',
#             # 'correctedScaledActualMu',
#             # 'correctedScaledAverageMu',
#             'crossSectionFactor',
#             'ele_E7x11_Lr3',
#             # 'ele_ECIDSResult',
#             'ele_EptRatio',
#             'ele_Eratio',
#             'ele_GradientIso',
#             # 'ele_LHLoose',
#             # 'ele_LHMedium',
#             # 'ele_LHTight',
#             'ele_Reta',
#             'ele_Rhad',
#             'ele_Rhad1',
#             'ele_Rphi',
#             'ele_TRTPID',
#             'ele_TruthPointerIdx',
#             'ele_author',
#             # 'ele_charge',
#             'ele_chiSquared',
#             'ele_combSF',
#             'ele_core57cellsEnergyCorrection',
#             # 'ele_d0',
#             # 'ele_d0Sig',
#             'ele_dPOverP',
#             'ele_deltaEta1',
#             'ele_deltaPhiRescaled2',
#             # 'ele_e',
#             # 'ele_et_calo',
#             # 'ele_eta',
#             'ele_expectInnermostPixelLayerHit',
#             'ele_expectNextToInnermostPixelLayerHit',
#             'ele_f1',
#             'ele_f3',
#             'ele_idSF',
#             'ele_isoSF',
#             # 'ele_m',
#             'ele_nTracks',
#             'ele_numberOfInnermostPixelHits',
#             'ele_numberOfPixelHits',
#             'ele_numberOfSCTHits',
#             # 'ele_pdf_score',
#             'ele_pdfconv_score',
#             # 'ele_phi',
#             # 'ele_pt',
#             # 'ele_ptcone20_TightTTVALooseCone_pt1000',
#             # 'ele_ptcone20_TightTTVALooseCone_pt500',
#             # 'ele_ptvarcone20',
#             # 'ele_ptvarcone20_TightTTVALooseCone_pt1000',
#             # 'ele_ptvarcone20_TightTTVA_pt1000',
#             # 'ele_ptvarcone30_TightTTVALooseCone_pt1000',
#             # 'ele_ptvarcone30_TightTTVALooseCone_pt500',
#             # 'ele_ptvarcone30_TightTTVA_pt1000',
#             # 'ele_ptvarcone30_TightTTVA_pt500',
#             # 'ele_ptvarcone40_TightTTVALooseCone_pt1000',
#             'ele_recoSF',
#             # 'ele_topoetcone20',
#             # 'ele_topoetcone20ptCorrection',
#             # 'ele_topoetcone40',
#             # 'ele_trigger',
#             # 'ele_truthOrigin',
#             # 'ele_truthParticle',
#             # 'ele_truthPdgId',
#             # 'ele_truthType',
#             'ele_truth_E',
#             'ele_truth_eta',
#             'ele_truth_m',
#             'ele_truth_phi',
#             'ele_truth_px',
#             'ele_truth_py',
#             'ele_truth_pz',
#             'ele_weta2',
#             'ele_wtots1',
#             'eventWeight',
#             'evtNumber',
#             'fwd_LGBM_energy',
#             'fwd_LGBM_et',
#             'fwd_LGBM_iso',
#             'fwd_LGBM_pid',
#             'fwd_LHLoose',
#             'fwd_LHMedium',
#             'fwd_LHTight',
#             'fwd_combSF',
#             'fwd_et',
#             'fwd_eta',
#             'fwd_idSF',
#             'fwd_phi',
#             'fwd_pt',
#             'fwd_recoSF',
#             'fwd_topoetcone20',
#             'fwd_topoetcone40',
#             'fwd_topoetconecoreConeEnergyCorrection',
#             'fwd_truthOrigin',
#             'fwd_truthParticle',
#             'fwd_truthPdgId',
#             'fwd_truthType',
#             'fwd_truth_E',
#             'fwd_truth_eta',
#             'fwd_truth_phi',
#             'mcChannelNumber',
#             'met_met',
#             'met_phi',
#             # 'nElectrons',
#             'nFwdElectrons',
#             'nMuons',
#             'nPhotons',
#             'pho_ConversionRadius',
#             'pho_ConversionType',
#             'pho_DeltaE',
#             'pho_Eratio',
#             'pho_GradientIso',
#             'pho_LGBM_iso',
#             'pho_LGBM_logitiso',
#             'pho_Reta',
#             'pho_Rhad',
#             'pho_Rhad1',
#             'pho_Rphi',
#             'pho_VertexConvEtOverPt',
#             'pho_VertexConvPtRatio',
#             'pho_combSF',
#             'pho_core57cellsEnergyCorrection',
#             'pho_e',
#             'pho_et',
#             'pho_eta',
#             'pho_f1',
#             'pho_fracs1',
#             'pho_idSF',
#             'pho_isPhotonEMLoose',
#             'pho_isPhotonEMTight',
#             'pho_isoSF',
#             'pho_maxEcell_energy',
#             'pho_maxEcell_time',
#             'pho_nTrackPart',
#             'pho_pdf_logitscore',
#             'pho_pdf_score',
#             'pho_pdfbin_logitscore',
#             'pho_pdfbin_score',
#             'pho_pdfconv_logitscore',
#             'pho_pdfconv_score',
#             'pho_phi',
#             'pho_pt',
#             'pho_ptvarcone20',
#             'pho_r33over37allcalo',
#             'pho_recoSF',
#             'pho_topoetcone20',
#             'pho_topoetcone40',
#             'pho_truthOrigin',
#             'pho_truthParticle',
#             'pho_truthPdgId',
#             'pho_truthType',
#             'pho_truth_E',
#             'pho_truth_eta',
#             'pho_truth_m',
#             'pho_truth_phi',
#             'pho_truth_px',
#             'pho_truth_py',
#             'pho_truth_pz',
#             'pho_weta1',
#             'pho_weta2',
#             'pho_wtots1',
#             'runNumber']



# # OLD from Ben
# # Variables that will not be saved in the hdf5 files if they are in the ROOT TTree
# def remove_branches():
#     return ['p_cell_deta',
#             'p_cell_dphi',
#             'p_cell_electronicnoise',
#             'p_cell_energy',
#             'p_cell_eta',
#             'p_cell_phi',
#             'p_cell_sampling',
#             'p_cell_time',
#             'p_cell_totalnoise',
#             'ph.noFF_deltae',
#             'ph.noFF_e277',
#             'ph.noFF_rhad1',
#             'ph.noFF_rhad',
#             'ph.noFF_reta',
#             'ph.noFF_rphi',
#             'ph.noFF_weta2',
#             'ph.noFF_f1',
#             'ph.noFF_fside',
#             'ph.noFF_wstot',
#             'ph.noFF_w1',
#             'ph.noFF_eratio',
#             'ph.noFF_tight_id']
#
#
# # Variables that will be scaled by the RobustScaler/QuantileTransformer
# def scale_vars():
#     # all scalar variables
#     variables = [
#              'p_eta',
#              'p_d0',
#              'p_deltaPhiRescaled2',
#              'p_pt_track',
#              'p_qOverP',
#              'p_deltaPhiFromLastMeasurement',
#              'p_deltaPhiRescaled0',
#              'p_deltaEta2',
#              'p_deltaEta3',
#              'p_sigmad0',
#              'p_charge',
#              'p_nTracks',
#              'BC_distanceFromFront',
#              'BC_filledBunches',
#              'correctedScaledAverageMu',
#              'correctedScaledActualMu',
#              'NvtxReco',
#              'p_ambiguityType',
#              'p_deltaEta0',
#              'p_TRTPID',
#              'p_d0Sig',
#              'p_dPOverP',
#              'p_deltaEta1',
#              'p_numberOfInnermostPixelHits',
#              'p_eAccCluster',
#              'p_cellIndexCluster',
#              'p_etaModCalo',
#              'averageInteractionsPerCrossing',
#              'p_poscs2',
#              'p_dPhiTH3',
#              'p_eClusterLr0',
#              'p_eClusterLr1',
#              'p_eClusterLr2',
#              'p_eClusterLr3',
#              'p_photonConversionType',
#           	 'p_photonConversionRadius',
#          	 'p_photonVertexPtConvDecor',
#          	 'p_photonVertexPtConv',
#          	 'p_photonVertexPt1',
#           	 'p_photonVertexPt2',
#          	 'p_photonVertexConvPtRatio',
#          	 'p_photonVertexConvEtOverPt',
#          	 'p_photonVertexRconv',
#          	 'p_photonVertexzconv',
#          	 'p_photonVertexPixHits1',
#          	 'p_photonVertexSCTHits1',
#          	 'p_photonVertexPixHits2',
#          	 'p_photonVertexSCTHits2',
#              'p_et_calo',
#              'p_numberOfPixelHits',
#              'p_numberOfSCTHits',
#              'p_EptRatio',
#              'p_Rhad1',
#              'p_Rhad',
#              'p_f3',
#              'p_weta2',
#              'p_Rphi',
#              'p_Reta',
#              'p_Eratio',
#              'p_f1',
#              'p_wtots1'
#     ]
#
#     # track variables, since they need special treatment to scale them properly
#     tracks = [
#              'tracks_pt',
#              'tracks_eta',
#              'tracks_phi',
#              'tracks_charge',
#              'tracks_chi2',
#              'tracks_ndof',
#              'tracks_pixhits',
#              'tracks_scthits',
#              'tracks_trthits',
#              'tracks_vertex',
#              'tracks_z0',
#              'tracks_d0',
#              'tracks_dR',
#              'tracks_theta',
#              'tracks_sigmad0',
#              'p_tracks_pt',
#              'p_tracks_eta',
#              'p_tracks_phi',
#              'p_tracks_charge',
#              'p_tracks_chi2',
#              'p_tracks_ndof',
#              'p_tracks_pixhits',
#              'p_tracks_scthits',
#              'p_tracks_trthits',
#              'p_tracks_vertex',
#              'p_tracks_z0',
#              'p_tracks_d0',
#              'p_tracks_dR',
#              'p_tracks_theta',
#              'p_tracks_sigmad0'
#              ]
#
#     # Variables that are only available for electrons
#     electron = [
#             'p_deltaPhiRescaled2',
#             'p_deltaEta0',
#             'p_deltaEta1',
#             'p_deltaEta2',
#             'p_deltaEta3',
#             'p_TRTPID',
#             'p_deltaPhiFromLastMeasurement',
#             'p_numberOfSCTHits',
#             'p_numberOfInnermostPixelHits',
#             'p_numberOfPixelHits',
#             'p_numberOfTRTHits',
#             'p_pt_track',
#             'p_dPOverP',
#             'p_qOverP',
#             'p_EptRatio',
#             'p_deltaPhiRescaled0',
#             'p_d0Sig',
#             'p_d0',
#             'p_sigmad0',
#             'p_charge',
#             'p_nTracks'
#
#     ]
#
#     # Variables that are only available for photons
#     photon = [
#              'p_photonConversionType',
#          	 'p_photonConversionRadius',
#         	 'p_photonVertexPtConvDecor',
#         	 'p_photonVertexPtConv',
#         	 'p_photonVertexPt1',
#          	 'p_photonVertexPt2',
#         	 'p_photonVertexConvPtRatio',
#         	 'p_photonVertexConvEtOverPt',
#         	 'p_photonVertexRconv',
#         	 'p_photonVertexzconv',
#         	 'p_photonVertexPixHits1',
#         	 'p_photonVertexSCTHits1',
#         	 'p_photonVertexPixHits2',
#         	 'p_photonVertexSCTHits2'
#     ]
#
#     return variables, tracks, electron, photon
#
# # Variables for which outliers will be set to the median of the distribution
# def outlier_vars():
#     outlier_vars = [
#         'p_deltaPhiRescaled2',
#         'p_deltaEta1',
#         'p_deltaEta0',
#         'p_deltaEta2',
#         'p_deltaEta3'
#     ]
#
#     return outlier_vars
